/* (C) 2006 Richard Mills / The Linux Academy Ltd.
 *
 * An event to trigger some audit function.
 *
 * $Id: AuditEvent.cc,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "AuditEvent.hh"
#include "Tunneler.hh"
#include "Debug.hh"
#include "Exceptions.hh"


namespace HTTPTunnel {


// Construction/destruction
AuditEvent::AuditEvent(const Time& time, Tunneler* tunneler)
: TimedEvent(time), m_tunneler(tunneler)
{
}

AuditEvent::~AuditEvent()
{
}


// Display event details for debugging
void AuditEvent::details(std::stringstream& dbg)
{
	dbg << "AuditEvent: ";
	TimedEvent::details(dbg);
}


// Forward the event
void AuditEvent::execute(void)
{
	// Let controlling tunneler know
	m_tunneler->audit();
}


}	// namespace

