/* (C) 2003 Kevin Manning.
 * (C) 2005 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate function/method callbacks.
 *
 * $Id: Callback.cc,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "Callback.hh"

namespace HTTPTunnel {


/**************/
/**************/
/* Base class */
/**************/
/**************/

// Construction/destruction
Callback::Callback()
{
}

Callback::Callback(const Callback& that)
{
}

Callback::~Callback()
{
}


// Assignment
Callback& Callback::operator=(const Callback& that)
{
	return *this;
}



/******************************/
/******************************/
/* 0 argument global function */
/******************************/
/******************************/


// Construction/Destruction
ZeroArgGlobalCallback::ZeroArgGlobalCallback(ZeroArgGlobalCallbackFunc cb)
: Callback(), m_cb(cb)
{
}

ZeroArgGlobalCallback::ZeroArgGlobalCallback(const ZeroArgGlobalCallback& that)
: Callback(that), m_cb(that.m_cb)
{
}

ZeroArgGlobalCallback::~ZeroArgGlobalCallback()
{
}


// Assignment
ZeroArgGlobalCallback& ZeroArgGlobalCallback::operator=(const ZeroArgGlobalCallback& that)
{
	// Self assignment?
	if(this != &that) {
		// Base class assigment
		Callback::operator=(that);

		// Copy our members
		m_cb = that.m_cb;
	}

	return *this;
}

// Copy ourselves
Callback* ZeroArgGlobalCallback::clone(void)
{
	return (new ZeroArgGlobalCallback(m_cb));
}

// Call the callback
void ZeroArgGlobalCallback::operator()(void)
{
	(*m_cb)();
}


}	// namespace

