/* (C) 2005 Richard Mills / The Linux Academy Ltd.
 *
 * Check an acknowledgement for some message has been received.
 *
 * $Id: CheckAckEvent.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _CHECK_ACK_EVENT_HH_
#define _CHECK_ACK_EVENT_HH_

#include <string>
#include "TimedEvent.hh"

namespace HTTPTunnel {

class Tunneler;

class CheckAckEvent : public TimedEvent {
public:
	// Construction/destruction
	CheckAckEvent(const Time& time, Tunneler* tunneler);
	virtual ~CheckAckEvent();

	// Display event details for debugging
	virtual void details(std::stringstream& dbg);

	// Run this event
	virtual void execute(void);

protected:

	/********/
	/* Data */
	/********/

	// Tunneler to invoke event for
	Tunneler*						m_tunneler;

};


}	// namespace

#endif

