/* (C) 2005 Richard Mills / The Linux Academy Ltd.
 *
 * A client side TCP/IP socket server to listen for incoming connections.
 *
 * $Id: ClientServer.hh,v 1.3 2009-03-20 11:52:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _CLIENT_SERVER_HH_
#define _CLIENT_SERVER_HH_

#include "Server.hh"
#include "Exceptions.hh"

namespace HTTPTunnel {

class ClientSideConfig;
class Sock;

class ClientServer : public Server {
public:
	// Construction/destruction
	ClientServer(ClientSideConfig* clientConfig) throw(TunnelError);
	virtual ~ClientServer();

	// Accessors
	Sock* getSockTunSock(void) throw(TunnelError);


protected:

};


}	// namespace

#endif

