/* (C) 2007 Richard Mills / The Linux Academy Ltd.
 *
 * Various parameters to be used by a ClientTunnel when tunneling.
 *
 * $Id: ClientTunnelParms.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _CLIENT_TUNNEL_PARMS_HH_
#define _CLIENT_TUNNEL_PARMS_HH_

#include "TunnelParms.hh"

namespace HTTPTunnel {

class ClientTunnelParms : public TunnelParms {
public:
	// Construction/destruction
	ClientTunnelParms(Tunnel::TunnelTestState testState, unsigned int urlPayloadSize,
		unsigned int bodyPayloadSize);
	ClientTunnelParms(const ClientTunnelParms& that);
	virtual ~ClientTunnelParms();

	// Assignment
	ClientTunnelParms& operator=(const ClientTunnelParms& that);

	// Accessors
	virtual unsigned int getMaxPayloadSize(bool useHeader) const;
	unsigned int getURLPayloadSize(void) const;
	unsigned int getBodyPayloadSize(void) const;


protected:

	/********/
	/* Data */
	/********/

	// Tunnel payload sizes
	unsigned int					m_urlPayloadSize;
	unsigned int					m_bodyPayloadSize;

};


}	// namespace

#endif

