/* (C) 2003 Kevin Manning.
 * (C) 2005 Richard Mills / The Linux Academy Ltd.
 *
 * Wrap a pthreads condition variable.
 *
 * $Id: ConditionVar.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _CONDITION_VAR_HH_
#define _CONDITION_VAR_HH_

#include <sys/time.h>
#include <pthread.h>
#include <time.h>
#include "MutexVar.hh"
#include "Exceptions.hh"

namespace HTTPTunnel {

class ConditionVar {
public:
	// Construction/destruction
	ConditionVar() throw(ConditionVarError);
	~ConditionVar() throw(ConditionVarError);

	// Operations
	void wait(MutexVar& mv) throw(ConditionVarError);
	void timedwait(MutexVar& mv, const struct timeval& tm) throw(ConditionVarError);
	void signal(void) throw(ConditionVarError);
	void broadcast(void) throw(ConditionVarError);

private:
	// The pthread condition variable
	pthread_cond_t		m_condVar;

};


}		// namespace

#endif

