/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * Base class for config blobs.
 *
 * $Id: ConfigBlob.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _CONFIG_BLOB_HH_
#define _CONFIG_BLOB_HH_

#include <string>

namespace HTTPTunnel {

class ConfigBlob {
public:
	// Construction/destruction
	ConfigBlob();
	ConfigBlob(const ConfigBlob& that);
	virtual ~ConfigBlob();

	// Assignment
	ConfigBlob& operator=(const ConfigBlob& that);

	// Accessors
	virtual std::string getType(void) const = 0;
	virtual std::string getConfig(void) const = 0;


protected:

};


}	// namespace HTTPTunnel

#endif

