/* (C) 2006 Richard Mills / The Linux Academy Ltd.
 *
 * Default user authentication at server; always authenticates.
 *
 * $Id: DefaultServerAuthenticator.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _DEFAULT_SERVER_AUTHENTICATOR_HH_
#define _DEFAULT_SERVER_AUTHENTICATOR_HH_

#include <string>
#include <vector>
#include "ServerAuthenticator.hh"
#include "Exceptions.hh"
#include "User.hh"

namespace HTTPTunnel {

class Tunnel;

class DefaultServerAuthenticator : public ServerAuthenticator {
public:
	// Construction/destruction
	DefaultServerAuthenticator() throw(AuthError);
	virtual ~DefaultServerAuthenticator();


	/*************/
	/* Accessors */
	/*************/

	// Get copy of current user details
	virtual User getUserDetails(std::string name);


	/*************/
	/* Utilities */
	/*************/

	// Authenticate a new user
	virtual void authenticate(std::string userName, Tunnel* tun,
		const std::vector<std::string>& authArgs);


protected:

};


}	// namespace

#endif

