/* (C) 2007 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate parameters for an error response HTTP message.
 *
 * $Id: ErrorMsgParms.cc,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "ErrorMsgParms.hh"


namespace HTTPTunnel {


// Construction/destruction
ErrorMsgParms::ErrorMsgParms(const HTTPMsgParms* recvd)
: HTTPMsgParms()
{
	// Setup suitable HTTP message parameters
	setTid(recvd->getTid());
	setRespCodePhrase(500, "Internal Server Error");
	setState(Tunnel::CLOSED);
}

ErrorMsgParms::~ErrorMsgParms()
{
}


}	// namespace

