/* (C) 2005 Richard Mills / The Linux Academy Ltd.
 *
 * An event to be passed between threads.
 *
 * $Id: Event.cc,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "Event.hh"

namespace HTTPTunnel {


// Construction/destruction
Event::Event()
: m_runTime(0)
{
}

Event::Event(const Time& time)
: m_runTime(time)
{
}

Event::Event(const Event& that)
: m_runTime(that.m_runTime)
{
}

Event::~Event()
{
}


// Display event details for debugging
void Event::details(std::stringstream& dbg)
{
	//dbg << "Event run time: " << getRunTime() << std::endl;
}


/*************/
/* Accessors */
/*************/


// Get time this event is scheduled for
const Time& Event::getRunTime(void) const
{
	return m_runTime;
}


/************/
/* Mutators */
/************/


// Set time this event is scheduled for
void Event::setRunTime(const Time& time)
{
	m_runTime = time;
}


}	// namespace

