/* (C) 2006 Richard Mills / The Linux Academy Ltd.
 *
 * A mixin interface for any class which needs to identify or
 * otherwise associate itself with a particular event instance.
 *
 * $Id: IdentifyEventT.cc,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "IdentifyEvent.hh"


namespace HTTPTunnel {


// Construction/destruction
template<class T>
IdentifyEvent<T>::IdentifyEvent(const T& identity)
: m_identity(identity)
{
}

template<class T>
IdentifyEvent<T>::~IdentifyEvent()
{
}


// Check for identity match
template<class T>
bool IdentifyEvent<T>::identify(const T& that) const
{
	return (m_identity == that);
}


}	// namespace

