/* (C) 2007 Richard Mills / The Linux Academy Ltd.
 *
 * An event to launch a server connection test.
 *
 * $Id: LaunchServerTestEvent.cc,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "LaunchServerTestEvent.hh"
#include "Debug.hh"
#include "ClientTunneler.hh"


namespace HTTPTunnel {


// Construction/destruction
LaunchServerTestEvent::LaunchServerTestEvent(const Time& time, ClientTunneler* tunneler)
: TimedEvent(time), m_tunneler(tunneler)
{
}

LaunchServerTestEvent::~LaunchServerTestEvent()
{
}


// Display event details for debugging
void LaunchServerTestEvent::details(std::stringstream& dbg)
{
	dbg << "LaunchServerTestEvent: ";
	TimedEvent::details(dbg);
}


// Do the server test
void LaunchServerTestEvent::execute(void)
{
	// Let tunneler know
	m_tunneler->launchServerTestConnection();
}


}	// namespace

