/* (C) 2006 Richard Mills / The Linux Academy Ltd.
 *
 * Handle reading/writing for one end of a raw tunnel
 * SOCKS connection.
 *
 * $Id: SOCKSConnection.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SOCKS_CONNECTION_HH_
#define _SOCKS_CONNECTION_HH_

#include "Connection.hh"

namespace HTTPTunnel {

class Tunneler;
class TunnelID;

class SOCKSConnection : public Connection {
public:
	// Construction/destruction
	SOCKSConnection(Sock* sock, Tunneler* tunneler);
	virtual ~SOCKSConnection();

	// Accessors
	std::string getSOCKSDestIP(void) const;
	unsigned int getSOCKSDestPort(void) const;

	// Mutators
	void setTunnelID(const TunnelID& tid);
	void tunnelConnected(bool tunOk) throw(CommsError);


protected:

	/***********/
	/* Methods */
	/***********/

   // Construct reader/writer
   virtual void createReaderWriter(void);


private:

};


}	// namespace

#endif

