/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate a security buffer from an NTLM message.
 *
 * $Id: SecurityBuff.cc,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "SecurityBuff.hh"
#include "RawBuff.hh"


namespace HTTPTunnel {


// Construction/destruction
SecurityBuff::SecurityBuff(unsigned int dataLen, unsigned int buffLen,
	unsigned int buffStart, const unsigned char* data)
: m_dataLen(dataLen), m_buffLen(buffLen), m_buffStart(buffStart), m_buff(data, buffLen)
{
}

SecurityBuff::SecurityBuff(const SecurityBuff& that)
: m_dataLen(that.m_dataLen), m_buffLen(that.m_buffLen), m_buffStart(that.m_buffStart),
  m_buff(that.m_buff)
{
}

SecurityBuff::~SecurityBuff()
{
}


/*************/
/* Accessors */
/*************/


// Get contents of security buff
RawBuff SecurityBuff::getData(void) const
{
	return m_buff;
}


}	// namespace


