/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate a security buffer from an NTLM message.
 *
 * $Id: SecurityBuff.hh,v 1.1.1.1 2008-03-28 13:06:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SECURITY_BUFF_HH_
#define _SECURITY_BUFF_HH_

#include "RawBuff.hh"

namespace HTTPTunnel {

class SecurityBuff {
public:
	// Construction/destruction
	SecurityBuff(unsigned int dataLen, unsigned int buffLen, unsigned int buffStart,
		const unsigned char* data);
	SecurityBuff(const SecurityBuff& that);
	~SecurityBuff();

	// Accessors
	RawBuff getData(void) const;


private:

	// Forbid assignment
	SecurityBuff& operator=(const SecurityBuff& that);


	/********/
	/* Data */
	/********/

	// Buffer lengths and start index
	unsigned int					m_dataLen;
	unsigned int					m_buffLen;
	unsigned int					m_buffStart;

	// Reference to data block buffer
	RawBuff							m_buff;

};


}	// namespace

#endif

