/* (C) 2009 Richard Mills / The Linux Academy Ltd.
 *
 * Handle for a server socket tunnel instance.
 *
 * $Id: ServerSockTunHandle.cc,v 1.1 2009-03-20 11:52:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "ServerSockTunHandle.hh"
#include "GlobalConfig.hh"


namespace HTTPTunnel {


// Global references
extern GlobalConfig* g_pConfig;


// Construction/destruction
ServerSockTunHandle::ServerSockTunHandle(const TunnelerID& tid)
: SockTunHandle(tid)
{
}

ServerSockTunHandle::ServerSockTunHandle(const ServerSockTunHandle& that)
: SockTunHandle(that)
{
}

ServerSockTunHandle::~ServerSockTunHandle()
{
}


// Assignment
ServerSockTunHandle& ServerSockTunHandle::operator=(const ServerSockTunHandle& that)
{
	// Self assignment
	if(this != &that) {
		// Base class
		SockTunHandle::operator=(that);
	}

	return *this;
}


}	// namespace

