/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * A client to initiate outgoing socket tunnel connections.
 *
 * $Id: SockTunClient.cc,v 1.2 2009-03-20 11:52:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include "SockTunClient.hh"
#include "Debug.hh"
#include "Logger.hh"
#include "MutexVar.hh"
#include "Utils.hh"
#include "Sock.hh"


namespace HTTPTunnel {


// Global references
extern Logger* g_pLogger;


// Construction/destruction
SockTunClient::SockTunClient() throw(TunnelError)
: m_mtx(), m_sock(0)
{
	DPRINTV("SockTunClient::SockTunClient()");
}

SockTunClient::~SockTunClient()
{
	DPRINTV("SockTunClient::~SockTunClient()");

	MutexVar mv(m_mtx);

	// Free socket
	if(m_sock) {
		delete m_sock;
		m_sock = 0;
	}
}


/*************/
/* Accessors */
/*************/


// Get underlying socket descriptor
Sock* SockTunClient::getSock(void)
{
	return m_sock;
}


}	// namespace

