/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * A client to initiate outgoing socket tunnel connections.
 *
 * $Id: SockTunClient.hh,v 1.2 2009-03-20 11:52:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SOCK_TUN_CLIENT_HH_
#define _SOCK_TUN_CLIENT_HH_

#include "Exceptions.hh"
#include "Mutex.hh"

namespace HTTPTunnel {

class Sock;

class SockTunClient {
public:
	// Construction/destruction
	SockTunClient() throw(TunnelError);
	virtual ~SockTunClient();

	// Accessors
	Sock* getSock(void);


protected:

	/********/
	/* Data */
	/********/

	// Mutex
	Mutex										m_mtx;

	// Socket to connect on
	Sock*										m_sock;

};


}	// namespace

#endif

