/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * Encapsulate client socket tunnel configuration settings in a handy
 * blob.
 *
 * $Id: SockTunClientConfigBlob.hh,v 1.1 2008-05-15 14:29:52 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SOCK_TUN_CLIENT_CONFIG_BLOB_HH_
#define _SOCK_TUN_CLIENT_CONFIG_BLOB_HH_

#include <string>
#include "ClientConfigBlob.hh"

namespace HTTPTunnel {

class SockTunClientConfigBlob : public ClientConfigBlob {
public:
	// Construction/destruction
	SockTunClientConfigBlob(Enums::Protocol prot, bool ssl, std::string shost,
		unsigned int sport);
	SockTunClientConfigBlob(const SockTunClientConfigBlob& that);
	virtual ~SockTunClientConfigBlob();

	// Assignment
	SockTunClientConfigBlob& operator=(const SockTunClientConfigBlob& that);

	// Accessors
	virtual std::string getConfig(void) const;


protected:

};


}	// namespace HTTPTunnel

#endif

