/* (C) 2009 Richard Mills / The Linux Academy Ltd.
 *
 * Handle for a socket tunnel instance.
 *
 * $Id: SockTunHandle.hh,v 1.1 2009-03-20 11:52:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _SOCK_TUN_HANDLE_HH_
#define _SOCK_TUN_HANDLE_HH_

#include "TunnelerID.hh"

namespace HTTPTunnel {

class SockTunHandle {
public:
	// Construction/destruction
	SockTunHandle(const TunnelerID& tid);
	SockTunHandle(const SockTunHandle& that);
	virtual ~SockTunHandle();

	// Assignment
	SockTunHandle& operator=(const SockTunHandle& that);

	// Accessors
	const TunnelerID& getTunID(void) const;

protected:

	/********/
	/* Data */
	/********/

	// Our tunneler ID
	TunnelerID							m_tid;

};


}	// namespace

#endif


