/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * A client to initiate outgoing TCP socket tunnel connections.
 *
 * $Id: TCPSockTunClient.cc,v 1.3 2009-03-20 11:52:25 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#include <iostream>
#include "TCPSockTunClient.hh"
#include "MutexVar.hh"
#include "TCPSock.hh"
#include "Debug.hh"
#include "Logger.hh"


namespace HTTPTunnel {


// Global references
extern Logger* g_pLogger;


// Construction/destruction
TCPSockTunClient::TCPSockTunClient(std::string addr, unsigned int port) throw(TunnelError)
: SockTunClient()
{
	DPRINTV("TCPSockTunClient::TCPSockTunClient()");

	// Create blocking TCP socket
	m_sock = new TCPSock(true);

	// Launch client connection
	m_sock->connect(addr, port);
}

TCPSockTunClient::~TCPSockTunClient()
{
	DPRINTV("TCPSockTunClient::~TCPSockTunClient()");
}


}	// namespace

