/* (C) 2008 Richard Mills / The Linux Academy Ltd.
 *
 * A server to accept incoming UDP socket tunnel connections.
 *
 * $Id: UDPSockTunServer.hh,v 1.2 2009-03-20 11:52:26 rich Exp $
 *
 * This file is part of HTTPTunnel.
 *
 * HTTPTunnel is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * HTTPTunnel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HTTPTunnel; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef _UDP_SOCK_TUN_SERVER_HH_
#define _UDP_SOCK_TUN_SERVER_HH_

#include "SockTunServer.hh"
#include "ThreadManager.hh"

namespace HTTPTunnel {

class UDPSockTunServer : public SockTunServer {
public:
	// Construction/destruction
	UDPSockTunServer(const SockTunCallback* userCallback) throw(TunnelError);
	virtual ~UDPSockTunServer();

protected:

private:

	/***********/
	/* Methods */
	/***********/

	// Wait for arriving connections - Thread entry point
	void startServer(void);


	/********/
	/* Data */
	/********/

	// Connection thread manager
	ThreadManager					m_threadMgr;

};


}	// namespace

#endif

